models:
  Restaurant:
    email: string:255
    phone_number: string:255
    logo: string:255  
    location: string:255
    relationships:
      hasMany: Category, Item, SiteSetting

  RestaurantTranslation:
    name: string:255
    description: text
    locale: string index
    indexes:
      - unique: locale, restaurant_id

  Category:
    relationships:
      belongsToMany: Item

  CategoryTranslation:
    name: string:255
    locale: string index
    indexes:
      - unique: locale, restaurant_id
    relationships:
      belongsTo: Category
    
  Item:
    price: decimal:8,2
    # currency: Currency $ TODO: Add currencies
    relationships:
      belongsToMany: Category
    
  ItemTranslation:
    name: string:255
    description: text
    locale: string index
    indexes:
      - unique: locale, restaurant_id
    relationships:
      belongsTo: Item
      
  ItemIngredient:
    relationships:
      belongsTo: Item
    
  ItemIngredientTranslation:
    name: string:255
    locale: string index
    indexes:
      - unique: locale, restaurant_id
    relationships:
      belongsTo: ItemIngredient
    
  SiteSetting:
    key: string:255
    value: text

